Get all configurations for the integration
curl --request GET \
--url https://app.launchdarkly.com/api/v2/integration-configurations/keys/{integrationKey} \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/integration-configurations/keys/{integrationKey}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/integration-configurations/keys/{integrationKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"_links": {},
"_id": "<string>",
"name": "Example Datadog integration",
"_createdAt": 123,
"_integrationKey": "datadog",
"tags": [
"testing"
],
"enabled": true,
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
},
"configValues": {},
"capabilityConfig": "{\"auditLogEventsHook\": \"statements\": []\"}",
"snowflakeSetupScript": "<string>",
"redshiftSetupScripts": [
"<string>"
],
"redshiftIAMPermissionsPolicy": "<string>",
"redshiftIAMTrustPolicy": "<string>",
"_maintainerId": "<string>"
}
],
"_links": {}
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Get all configurations for the integration
Get all integration configurations with the specified integration key. (Excludes persistent store and flag import configurations.).
GET
/
api
/
v2
/
integration-configurations
/
keys
/
{integrationKey}
Get all configurations for the integration
Authorizations
Path Parameters
A key that corresponds to the third-party integration you are configuring. For example, mezmo.
Query Parameters
When true, includes pending two-step setup drafts that were created using /setup but are not yet finalized. Defaults to false, which returns only active configurations.